package md

type PrinterReq struct {
	Sn          string `json:"sn"`
	Key         string `json:"key"`
	Remark      string `json:"remark"`
	PhoneNum    string `json:"phone_num"`
	Content     string `json:"content"`
	Name        string `json:"name"`
	Oid         string `json:"oid"`
	PrinterType string `json:"printer_type"`
}

type AddPrinterResult struct {
	Data struct {
		No []string `json:"no"`
		Ok []string `json:"ok"`
	} `json:"data"`
	Msg                string `json:"msg"`
	Ret                int64  `json:"ret"`
	ServerExecutedTime int64  `json:"serverExecutedTime"`
}

type PrinterStateResult struct {
	Data               interface{} `json:"data"`
	Msg                string      `json:"msg"`
	Ret                int64       `json:"ret"`
	ServerExecutedTime int64       `json:"serverExecutedTime"`
}
